Bug 115964 - sscanf problem
sscanf problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 07:18 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-28 21:45:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-17 07:18:56 EST
Description of problem:

I just tried to compile package procps-2.0.17-1 from Fedora.

The compiler said

1.

vmstat.c:124: warning: too many arguments for format

The source code is

                sscanf(p, "cpu  %lu %lu %lu %lu %lu", &(stats->cpu_user),
                        &(stats->cpu_nice), &(stats->cpu_system),
                        &(stats->cpu_idle), &(stats->cpu_iowait),
                       &cpu_irq, &cpu_softirq);

Five % specifiers, seven following parameters.

I'm not sure what the fix is for this.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2004-03-25 15:11:51 EST
Please try procps-3.1.15

Note You need to log in before you can comment on or make changes to this bug.